Bug 1119835 (CVE-2018-20105)

Summary: VUL-0: CVE-2018-20105: yast2-rmt: CA private key passhrase exposed in log-file
Product: [Novell Products] SUSE Security Incidents Reporter: Fabian Schilling <fschilling>
Component: IncidentsAssignee: Serhii Kotov <skotov>
Status: RESOLVED FIXED QA Contact: Security Team bot <security-team>
Severity: Normal    
Priority: P3 - Medium CC: fschnizlein, fschueller, hschmidt, jsegitz, matthias.gerstner, meissner, ngreiner, skotov, thutterer, tmuntaner, tschmidt, wolfgang.frisch, wstephenson
Version: unspecified   
Target Milestone: ---   
Hardware: All   
OS: SLES 15   
URL: https://smash.suse.de/issue/221387/
Whiteboard: CVSSv2:NVD:CVE-2018-20105:2.1:(AV:L/AC:L/Au:N/C:P/I:N/A:N) CVSSv3.1:NVD:CVE-2018-20105:5.5:(AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N) CVSSv3:SUSE:CVE-2018-20105:4.4:(AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:N/A:N)
Found By: --- Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Description Fabian Schilling 2018-12-18 14:35:16 UTC
When setting up an rmt-server using yast2-rmt the CA private key passphrase inputted by the admin is logged in clear-text in:
/var/log/YaST2/y2log

How to reproduce:

1. Set up a fresh SLES-15 system and install RMT.
   #> zypper in yast2-rmt rmt-server

2. Configure the RMT server by running
   #> yast rmt
   and follow the instructions.

3. Use ${PASSWORD} for encrypting the CA private key.

4. ${PASSWORD} gets logged in clear text.
   #> grep ${PASSWORD} /var/log/YaST2/y2log*

Sample output:

2018-12-17 15:26:18 <1> rmtserversle15(11436) [Ruby] lib/cheetah.rb:206 Standard input: $PASSWORD
2018-12-17 15:26:18 <1> rmtserversle15(11436) [Ruby] lib/cheetah.rb:206 Standard input: $PASSWORD
2018-12-17 15:26:19 <1> rmtserversle15(11436) [Ruby] lib/cheetah.rb:206 Standard input: $PASSWORD
Comment 1 Johannes Segitz 2018-12-18 14:50:50 UTC
Nice find. Tracked as CVE-2018-20105
Comment 6 Serhii Kotov 2019-03-27 13:17:45 UTC
The version 1.2.2 which contains the fix is released and the code is published to https://github.com/yast/yast-rmt


I assign the bug to security@suse.de as I was advised to do so in a similar issue https://bugzilla.suse.com/show_bug.cgi?id=1117602


Please check if everything is correct and close the bug.
Comment 7 Swamp Workflow Management 2019-04-02 10:14:39 UTC
openSUSE-SU-2019:1089-1: An update that solves one vulnerability and has two fixes is now available.

Category: security (moderate)
Bug References: 1119835,1120672,1123562
CVE References: CVE-2018-20105
Sources used:
openSUSE Leap 15.0 (src):    yast2-rmt-1.2.2-lp150.2.19.1

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2020-02-27 17:27:08 UTC
openSUSE-SU-2020:0253-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1119835
CVE References: CVE-2018-20105
Sources used:
openSUSE Leap 15.1 (src):    yast2-rmt-1.2.2-lp151.2.3.1
Comment 13 Swamp Workflow Management 2020-02-28 09:10:06 UTC
This is an autogenerated message for OBS integration:
This bug (1119835) was mentioned in
https://build.opensuse.org/request/show/780172 Factory / yast2-rmt
Comment 16 Swamp Workflow Management 2020-03-03 17:34:58 UTC
SUSE-SU-2020:0578-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1119835,1146403
CVE References: CVE-2018-20105
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    yast2-rmt-1.3.0-3.5.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2020-03-08 23:11:59 UTC
openSUSE-SU-2020:0320-1: An update that solves one vulnerability and has one errata is now available.

Category: security (moderate)
Bug References: 1119835,1146403
CVE References: CVE-2018-20105
Sources used:
openSUSE Leap 15.1 (src):    yast2-rmt-1.3.0-lp151.2.6.1
Comment 18 Thomas Schmidt 2020-06-03 16:58:06 UTC
This is released.